> ## Name

> cgGetType - get the type enumerant assigned to a type name

> ## Synopsis

>     #include <Cg/cg.h>

>     CGtype cgGetType( const char * type_string );

> ## Parameters

> type_string
>   A string containing the case-sensitive type name.

> ## Return Values

> Returns the type enumerant of type_string.

> Returns CG_UNKNOWN_TYPE if no such type exists.

> ## Description

> cgGetType returns the enumerant assigned to a type name.

> ## Examples

>     CGtype Float4Type = cgGetType("float4");

>     if(cgGetParameterType(myparam) == Float4Type)
>     {
>       /* Do stuff */
>     }

> ## Errors

> None.

> ## History

> cgGetType was introduced in Cg 1.1.

> ## See Also

> cgGetTypeString, cgGetParameterType